apiVersion: v1
kind: Service
metadata:
  name: {{ template "chart-ilia.fullname" . }}
  labels:
    app: {{ template "chart-ilia.name" . }}
    chart: {{ template "chart-ilia.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app: {{ template "chart-ilia.name" . }}
    release: {{ .Release.Name }}
